package com.bonus.sgzb.base.domain;


import com.bonus.sgzb.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;
import java.util.List;

@Data
public class BmProjectInfo {
  /**工程ID*/
  @ApiModelProperty(value = "工程ID")
  private long proId;
  /**工程项目名称*/
  @Excel(name = "工程项目名称")
  @ApiModelProperty(value = "工程项目名称")
  private String proName;
  /**帐号状态（0正常 1停用）*/
  @Excel(name = "帐号状态",readConverterExp = "0=正常,1=停用")
  @ApiModelProperty(value = "帐号状态（0正常 1停用）")
  private String status;

  /**工程类型*/

  @ApiModelProperty(value = "工程类型")
  private long typeId;
  /**联系人*/
  @Excel(name = "联系人")
  @ApiModelProperty(value = "联系人")
  private String linkMan;
  /**联系方式*/
  @Excel(name = "联系方式")
  @ApiModelProperty(value = "联系方式")
  private String telphone;
  /**所属上级*/

  @ApiModelProperty(value = "所属上级")
  private long deptId;
  /**删除标志（0代表存在 2代表删除）*/
  @ApiModelProperty(value = "除标志（0代表存在 2代表删除）")
  private String delFlag;
  /**创建者*/
  @ApiModelProperty(value = "创建者")
  private String createBy;
  /**创建时间*/
  @ApiModelProperty(value = "创建时间")
  private Timestamp createTime;
  /**更新者*/
  @ApiModelProperty(value = "更新者")
  private String updateBy;
  /**更新时间*/
  @ApiModelProperty(value = "更新时间")
  private Timestamp updateTime;
  /**备注*/
  @ApiModelProperty(value = "备注")
  private String remark;
  /**数据所属组织*/
  @ApiModelProperty(value = "数据所属组织")
  private String companyId;

  /**数据所属组织*/
  @Excel(name = "所属上级")
  @ApiModelProperty(value = "所属组织名称")
  private String deptName;

  /**工程类型名称*/
  @Excel(name = "工程类型")
  @ApiModelProperty(value = "工程类型名称")
  private String typeName;

  /** 导出选中列表 */
  private List<Long> dataCondition;

  public List<Long> getDataCondition() {
    return dataCondition;
  }

  public void setDataCondition(List<Long> dataCondition) {
    this.dataCondition = dataCondition;
  }

  public long getProId() {
    return proId;
  }

  public void setProId(long proId) {
    this.proId = proId;
  }


  public String getProName() {
    return proName;
  }

  public void setProName(String proName) {
    this.proName = proName;
  }


  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }


  public long getTypeId() {
    return typeId;
  }

  public void setTypeId(long typeId) {
    this.typeId = typeId;
  }


  public String getLinkMan() {
    return linkMan;
  }

  public void setLinkMan(String linkMan) {
    this.linkMan = linkMan;
  }


  public String getTelphone() {
    return telphone;
  }

  public void setTelphone(String telphone) {
    this.telphone = telphone;
  }


  public long getDeptId() {
    return deptId;
  }

  public void setDeptId(long deptId) {
    this.deptId = deptId;
  }


  public String getDelFlag() {
    return delFlag;
  }

  public void setDelFlag(String delFlag) {
    this.delFlag = delFlag;
  }


  public String getCreateBy() {
    return createBy;
  }

  public void setCreateBy(String createBy) {
    this.createBy = createBy;
  }


  public Timestamp getCreateTime() {
    return createTime;
  }

  public void setCreateTime(Timestamp createTime) {
    this.createTime = createTime;
  }


  public String getUpdateBy() {
    return updateBy;
  }

  public void setUpdateBy(String updateBy) {
    this.updateBy = updateBy;
  }


  public Timestamp getUpdateTime() {
    return updateTime;
  }

  public void setUpdateTime(Timestamp updateTime) {
    this.updateTime = updateTime;
  }


  public String getRemark() {
    return remark;
  }

  public void setRemark(String remark) {
    this.remark = remark;
  }


  public String getCompanyId() {
    return companyId;
  }

  public void setCompanyId(String companyId) {
    this.companyId = companyId;
  }

}
